## ros-humble-tango-icons-vendor 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tango_icons_vendor)

find_package(ament_cmake REQUIRED)

if(WIN32 OR APPLE)
  set(INSTALL_TANGO_ICONS_DEFAULT_VALUE TRUE)
else()
  set(INSTALL_TANGO_ICONS_DEFAULT_VALUE FALSE)
endif()
option(INSTALL_TANGO_ICONS "Install Tango icons" ${INSTALL_TANGO_ICONS_DEFAULT_VALUE})

if(INSTALL_TANGO_ICONS)
  install(DIRECTORY resource
    DESTINATION share/${PROJECT_NAME})
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-tango-icons-vendor (0.1.1-3bookworm) bookworm; urgency=high

  * Update maintainers to Audrow Nash (#9 <https://github.com/ros-visualization/tango_icons_vendor/issues/9>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-tango-icons-vendor (0.1.0-3bookworm) bookworm; urgency=high

  * Add exec_depend on tango-icon-theme system package (#8 <https://github.com/ros-visualization/tango_icons_vendor/issues/8>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 28 Apr 2021 16:00:00 -0000

ros-humble-tango-icons-vendor (0.0.1-3bookworm) bookworm; urgency=high

  * Added common linters (#7 <https://github.com/ros-visualization/tango_icons_vendor/issues/7>)
    * Added common linters
    * Fixed license in package.xml
  * Remaned package qt_gui_icons -> tango_icons_vendor (#4 <https://github.com/ros-visualization/tango_icons_vendor/issues/4>)
    * Remaned package qt_gui_icons -> tango_icons_vendor
    * Updated CMake var to install tango icons: INSTALL_TANGO_ICONS
    * Added cmake option INSTALL_TANGO_ICONS
    * Fixed logic
    * set INSTALL_TANGO_ICONS_DEFAULT_VALUE to option
    * Make linters happy
  * Updated link on the description (#6 <https://github.com/ros-visualization/tango_icons_vendor/issues/6>)
  * Updated the maintainer (#5 <https://github.com/ros-visualization/tango_icons_vendor/issues/5>)
  * Version 0.0.0 this package was never released (#3 <https://github.com/ros-visualization/tango_icons_vendor/issues/3>)
  * Install icons by default on macOS too (#1 <https://github.com/ros-visualization/tango_icons_vendor/issues/1>)
  * Updating package.xml
  * fixup! Install tango icons
  * Adding icons
  * Install tango icons
  * Contributors: Alejandro Hernández Cordero, Stephen, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 06 Jul 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-tango-icons-vendor
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/qt_gui_icons
Standards-Version: 3.9.2

Package: ros-humble-tango-icons-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tango-icon-theme, ros-humble-ros-workspace
Description: tango_icons_vendor provides the public domain Tango icons for non-linux systems (Tango Icon Library) from the Tango Desktop Project

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tango-icons-vendor//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tango-icons-vendor//opt/ros/humble/opt/tango_icons_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
